<template>
  <div>
    <img
      class="happy-salesman"
      src="~/static/fight_images/salesman.png"
      alt="happy salesman"
    />
    <h2>You lost.</h2>
    <ThankYou />
    <SoundButton
      ref="soundButton"
      :src="music"
      :loop="true"
      :autoplay="true"
      class="btn music-button"
    />
  </div>
</template>

<script>
import SoundButton from 'vue-howler-button/src/components/SoundButton.vue'
import ThankYou from '~/components/thank-you'

export default {
  name: 'GameOver',

  components: {
    SoundButton,
    ThankYou
  },

  computed: {
    music() {
      const baseUrl = this.$router.options.base
      return ['music/game-over.ogg', 'music/game-over.mp3'].map(
        url => baseUrl + url
      )
    }
  },

  beforeDestroy() {
    this.$refs.soundButton.howl.stop()
  }
}
</script>

<style>
.game-over.layout-container {
  background-color: #321452;
  color: #ffffff;
}

.game-over a {
  color: #ffffff;
}

.game-over h2 {
  color: black;
  text-shadow: 0 0 4px red;
  font-size: 96px;
  text-align: center;
  margin-top: 100px;
}

.game-over .happy-salesman {
  height: 100vh;
  left: 0;
  top: 21px;
  position: absolute;
  z-index: 1000;
}
</style>
